import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { Image } from '../../global/image.enum';
import { EventService } from '../../services/event.service';
import { TensorflowService } from '../../services/tensorflow.service';
export declare class CameraComponent implements AfterViewInit, OnDestroy {
    private eventService;
    private tensorflowService;
    backgroundIcon: string;
    companySrc: string;
    video: ElementRef;
    canvas: ElementRef;
    stream: MediaStream;
    constraints: {
        video: {
            width: Image;
            height: Image;
            facingMode: string;
        };
        audio: boolean;
    };
    constructor(eventService: EventService, tensorflowService: TensorflowService);
    ngAfterViewInit(): Promise<void>;
    takepicture(): Promise<void>;
    switchCamera(): Promise<void>;
    getUserMedia(constraints: MediaStreamConstraints): Promise<void>;
    ngOnDestroy(): void;
}
